FreeCommander - System requirements


Recommended minimum system requirements for FreeCommander: